<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">

    <title>Wireframe 04</title>
    <style>

        nav, article, aside, footer {
        padding: 1%;
        }

        nav {
            display: block;
            flex: 1;        
            margin-right: 10px;
        }
        main {
            margin-top: 10px;
            display: flex;
        }

        article {
        flex: 4;
        }

        aside {
            flex: 1;
            margin-left: 10px;
        }

        footer {
        margin-top: 10px;
        }

        .border
        {
            border-style: solid;
            border-color: lightgray;
            border-radius: 15px;
            border-width: 2px;
        }

        .clearfix::before,
        .clearfix::after {
            content: " ";
            display: table;
        } 

        .clearfix::after {
            clear: both;
        }

        .clearfix {
            *zoom: 1; /* Für den IE6 und IE7 */
        }


    </style>
  </head>

  <body>
    <header class="border">
      <h1>Header</h1>
    </header>

    <main class="clearfix">
        <nav class="border">
            <h1>Nav</h1>
                <div class="border">Menüpunkt 1</div>
                <div class="border">Menüpunkt 2</div>
                <div class="border">Menüpunkt 3</div>
                <div class="border">Menüpunkt 4</div>
        </nav>
        <article class="border">
            <h1>Article 1</h1>
        </article>
        <aside class="border">
            <h1>Aside</h1>
        </aside>
    </main>
    <footer class="border">
        <h1>Footer</h1>
    </footer>

  </body>
</html>